#
# spec file for package libdui
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

%define QTversion 5.3


Name:           libdui
Version:        1.2.10
Release:        1.1
Summary:        UI library for Deepin
License:        GPL-3.0+
Group:          Development/Libraries/X11
Url:            https://github.com/linuxdeepin/libdui
Source0:        %{name}-%{version}.tar.gz
# PATCH-FIX-UPSTREAM libdui-xext.patch hillwood@opensuse.org 
# Fix lost pkgconfig item.
Patch0:         libdui-xext.patch
BuildRequires:  libqt5-qtdeclarative-devel >= %{QTversion}
BuildRequires:  libqt5-qtx11extras-devel >= %{QTversion}
BuildRequires:  libqt5-qtmultimedia-devel >= %{QTversion}
BuildRequires:  libqt5-qtbase-common-devel >= %{QTversion}
BuildRequires:  libQt5Widgets-devel >= %{QTversion}
BuildRequires:  libQt5Gui-devel >= %{QTversion}
BuildRequires:  libQt5Core-devel >= %{QTversion}
BuildRequires:  libQt5DBus-devel >= %{QTversion}
BuildRequires:  pkgconfig(xext)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
libdui is a UI library for Deepin.

%package -n %{name}1
Summary:        UI library for Deepin
Group:          System/Libraries

%description -n %{name}1
libdui is a UI library for Deepin.

%package devel
Summary:        Development files for Deepin's UI library
Requires:       %{name}1 = %{version}
Group:          Development/Libraries/X11

%description devel
The libdui-devel package contains the header files and developer
docs for libdui.

%prep
%setup -q
%patch0 -p1

%build
%qmake5 DEFINES+=QT_NO_DEBUG_OUTPUT \
        PREFIX=%{_prefix} \
        LIB_INSTALL_DIR=%{_libdir}
make %{?_smp_mflags}

%install
%qmake5_install

# Fix paths in .pc files
sed -i 's,${prefix},/usr,g' %{buildroot}%{_libdir}/pkgconfig/dui.pc
sed -i 's,${includedir},/usr/include,g' %{buildroot}%{_libdir}/pkgconfig/dui.pc
sed -i 's,-I/usr/include,-I/usr/include/libdui,g' %{buildroot}%{_libdir}/pkgconfig/dui.pc

%post -n %{name}1 -p /sbin/ldconfig

%postun -n %{name}1 -p /sbin/ldconfig

%files -n %{name}1
%defattr(-,root,root,-)
%doc README.md
%{_libdir}/%{name}.so.*

%files devel
%defattr(-,root,root,-)
%dir %{_includedir}/%{name}
%{_includedir}/%{name}/*.h
%{_libdir}/pkgconfig/dui.pc
%{_libdir}/%{name}.so

%changelog
* Thu Feb 16 2017 jengelh@inai.de
- Rectify RPM groups and summary
* Tue Feb 14 2017 hillwood@opensuse.org
- Initial package.
- Add libdui-xext.patch.
  * Fix lost pkgconfig item
